postCreate Client

Creates a new client for a specific account

curl --request POST \
  --url https://api.test.neobits.no/core/accounts/{account_id}/clients \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{"auth_methods":["basic"],"grant_types":["client_credentials"],"scope":"string","role":"string"}'

Request

Headers

  • Authorization•string

    Bearer token authentication using OAuth 2.0 client credentials flow.

Params (path)

  • account_id•string<uuid>

    The account ID

Body

  • auth_methods•string

  • grant_types•string

  • scope•string

    Space-separated list of scopes

  • role•string

    Role for the client

Response

Headers

  • Content-Type•string

    The content type of the response.

Body

  • id•string<uuid>

    Client ID

  • username•string

    Client username

  • password•string

    Client password

  • auth_methods•string

  • grant_types•string

  • subscription_id•string<uuid>

    Subscription ID associated with the client

  • scope•string

    Scopes associated with the client

  • role•string

    Role associated with the client